Bug 1100927 (php-guzzlehttp-guzzle) - Review Request: php-guzzlehttp-guzzle - PHP HTTP client and webservice framework
Summary: Review Request: php-guzzlehttp-guzzle - PHP HTTP client and webservice framework
Keywords:
Status: CLOSED ERRATA
Alias: php-guzzlehttp-guzzle
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-guzzlehttp-streams
Blocks: 1100719
TreeView+ depends on / blocked
 
Reported: 2014-05-23 23:50 UTC by Shawn Iwinski
Modified: 2014-07-24 03:21 UTC (History)
2 users (show)

Fixed In Version: php-guzzlehttp-guzzle-4.1.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-24 03:21:01 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (10.71 KB, text/plain)
2014-07-10 14:09 UTC, Remi Collet
no flags Details
review.txt (6.29 KB, text/plain)
2014-07-10 14:10 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2014-05-23 23:50:41 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/3926aa97567a978f8074b709355c24e625e1325f/php-guzzlehttp-guzzle.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-guzzlehttp-guzzle-4.0.2-1.fc20.src.rpm

Description:
Guzzle is a PHP HTTP client that makes it easy to work with HTTP/1.1 and takes
the pain out of consuming web services.

* Pluggable HTTP adapters that can send requests serially or in parallel
* Doesn't require cURL, but uses cURL by default
* Streams data for both uploads and downloads
* Provides event hooks & plugins for cookies, caching, logging, OAuth, mocks,
  etc
* Keep-Alive & connection pooling
* SSL Verification
* Automatic decompression of response bodies
* Streaming multipart file uploads
* Connection timeouts


Fedora Account System Username: siwinski

Comment 1 Shawn Iwinski 2014-05-23 23:55:38 UTC
NOTE: This is Guzzle 4 and can co-exist with Guzzle 3 (php-guzzle-Guzzle) because of different namespaces (4 = GuzzleHttp; 3 = Guzzle).

Comment 2 Shawn Iwinski 2014-06-07 00:15:38 UTC
- Updated to 4.1.0
- Require php-composer virtual provides instead of direct pkgs
- Added php-PsrLog and nodejs build requires
- Added php-composer(%{composer_vendor}/%{composer_project}) virtual provide
- Added option to build without tests


Spec URL: https://raw.githubusercontent.com/siwinski/rpms/a84baab3f9aca02c8ac40edddac8ffa31f9b936b/php-guzzlehttp-guzzle.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-guzzlehttp-guzzle-4.1.0-1.fc20.src.rpm

Comment 4 Remi Collet 2014-07-10 14:09:24 UTC
Created attachment 917102 [details]
phpci.log

Comment 5 Remi Collet 2014-07-10 14:10:42 UTC
Created attachment 917103 [details]
review.txt

Comment 6 Remi Collet 2014-07-10 14:11:36 UTC
Everything ok, no issue found.

==== APPROVED ====

Comment 7 Shawn Iwinski 2014-07-11 01:00:18 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-guzzlehttp-guzzle
Short Description: PHP HTTP client and webservice framework
Upstream URL: http://guzzlephp.org
Owners: siwinski
Branches: f21 f20 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-07-11 11:48:50 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-07-13 17:14:02 UTC
php-guzzlehttp-guzzle-4.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-guzzlehttp-guzzle-4.1.2-1.fc20

Comment 10 Fedora Update System 2014-07-16 02:00:48 UTC
Package php-guzzlehttp-guzzle-4.1.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-guzzlehttp-guzzle-4.1.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8350/php-guzzlehttp-guzzle-4.1.2-1.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-07-24 03:21:01 UTC
php-guzzlehttp-guzzle-4.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.